# Create a new folder

```http
POST https://api.synup.com/api/v4/folders/create
```

This API **creates a new folder** to help organize locations within an account. The folder name must be unique across the account.

If a parent folder ID `(parentFolder)` or parent folder name `(parentFolderName)` is not provided, the folder will be created under the root folder.

Folders support a hierarchical structure, allowing subfolders to be organized within parent folders.

Source: https://developer.synup.com/api/organizing-locations/create-a-new-folder

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | optional |  |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.name` | string | required | Unique name for the folder |
| `input.parentFolderName` | string | optional | Name of the parent folder (optional) |
| `input.parentFolder` | string | optional | UUID of the parent folder (optional) |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/folders/create' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "name": "franchise",
    "parentFolderName": "all_franchise"
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Folder created successfully |
